activemq-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tab...@apache.org
Subject svn commit: r1336373 - in /activemq/trunk/assembly/src/release/bin: linux-x86-32/activemq linux-x86-64/activemq macosx/activemq
Date Wed, 09 May 2012 20:05:49 GMT
Author: tabish
Date: Wed May  9 20:05:48 2012
New Revision: 1336373

URL: http://svn.apache.org/viewvc?rev=1336373&view=rev
Log:
apply patch for: https://issues.apache.org/jira/browse/AMQ-3831

Modified:
    activemq/trunk/assembly/src/release/bin/linux-x86-32/activemq
    activemq/trunk/assembly/src/release/bin/linux-x86-64/activemq
    activemq/trunk/assembly/src/release/bin/macosx/activemq

Modified: activemq/trunk/assembly/src/release/bin/linux-x86-32/activemq
URL: http://svn.apache.org/viewvc/activemq/trunk/assembly/src/release/bin/linux-x86-32/activemq?rev=1336373&r1=1336372&r2=1336373&view=diff
==============================================================================
--- activemq/trunk/assembly/src/release/bin/linux-x86-32/activemq (original)
+++ activemq/trunk/assembly/src/release/bin/linux-x86-32/activemq Wed May  9 20:05:48 2012
@@ -323,6 +323,7 @@ checkUser() {
         # Still want to change users, recurse.  This means that the user will only be
         #  prompted for a password once.
         su -m $RUN_AS_USER -c "$REALPATH $1"
+        RETVAL=$?
 
         # Now that we are the original user again, we may need to clean up the lock file.
         if [ "X$LOCKPROP" != "X" ]
@@ -338,7 +339,7 @@ checkUser() {
             fi
         fi
 
-        exit 0
+        exit $RETVAL
     fi
 }
 

Modified: activemq/trunk/assembly/src/release/bin/linux-x86-64/activemq
URL: http://svn.apache.org/viewvc/activemq/trunk/assembly/src/release/bin/linux-x86-64/activemq?rev=1336373&r1=1336372&r2=1336373&view=diff
==============================================================================
--- activemq/trunk/assembly/src/release/bin/linux-x86-64/activemq (original)
+++ activemq/trunk/assembly/src/release/bin/linux-x86-64/activemq Wed May  9 20:05:48 2012
@@ -323,6 +323,7 @@ checkUser() {
         # Still want to change users, recurse.  This means that the user will only be
         #  prompted for a password once.
         su -m $RUN_AS_USER -c "$REALPATH $1"
+        RETVAL=$?
 
         # Now that we are the original user again, we may need to clean up the lock file.
         if [ "X$LOCKPROP" != "X" ]
@@ -338,7 +339,7 @@ checkUser() {
             fi
         fi
 
-        exit 0
+        exit $RETVAL
     fi
 }
 

Modified: activemq/trunk/assembly/src/release/bin/macosx/activemq
URL: http://svn.apache.org/viewvc/activemq/trunk/assembly/src/release/bin/macosx/activemq?rev=1336373&r1=1336372&r2=1336373&view=diff
==============================================================================
--- activemq/trunk/assembly/src/release/bin/macosx/activemq (original)
+++ activemq/trunk/assembly/src/release/bin/macosx/activemq Wed May  9 20:05:48 2012
@@ -317,6 +317,7 @@ checkUser() {
         # Still want to change users, recurse.  This means that the user will only be
         #  prompted for a password once.
         su -m $RUN_AS_USER -c "$REALPATH $1"
+        RETVAL=$?
 
         # Now that we are the original user again, we may need to clean up the lock file.
         if [ "X$LOCKPROP" != "X" ]
@@ -332,7 +333,7 @@ checkUser() {
             fi
         fi
 
-        exit 0
+        exit $RETVAL
     fi
 }
 



Mime
View raw message